Netbeans

Version: 7.2.1 || Release Date: 2012-10-19 || License: Other Open Source App Owner: welterde

superb java ide
Features:
* GUI Builder
* Plugins
* Ant based projects
* ...many more...

Suggest screenshot/icon / Suggest new version

6 Opinions

It's worth mentioning that Netbeans supports both standard Ruby and JRuby. I would highly recommend it if you are thinking about JRuby and/or JRuby on Rails. It is less useful for mainstream Rails and Ruby development, though, since the Rails integration is a version behind the official Rails release and it does not support Git, newgem, and other common tools.

In my opinion, this is the best IDE for OS X. Way better and easier than Xcode, with better code highlighting and completion. :]

In my opinion, this is the best IDE for OS X. Way better and easier than Xcode, and better code highlighting and completion. :]

Uhh.. NetBeans IS FOR BUILDING applications, Java applications. Real world Java professionals like myself use it regularly. I still use Eclipse for about half my work, switching between the two depending on what I'm doing. NetBeans has vastly superior application server integration and Java EE 5 support, the web-services tools are very good. If I had to pick one feature that puts NetBeans way ahead of Eclipse, its the profiler, very powerful tool.

Hey.. diggin_it, if you want a stand-alone compiler get the JDK from Sun, it comes with javac.. or are you trying to say something else?

Tried it in an attempt to get away from using Eclipse in my classes, and I liked it. The visual GUI building aspect is vastly superior, and much faster, but it likes to use its own Netbeans classes a lot.

Give it a try, you may switch to it. It's a really nice IDE to use, and overall just a well developed app.

i think the interface is totally different from aptana.
In my opinion is netbeans is perfect for building applications, because netbeans runs on linux too, so i can develop on all of my computers not on the mac only.
And XCode is in my opinion for developing anything expect java.